﻿using System;
using System.ComponentModel;
using System.Windows;

namespace LocalJoost.Models
{
    public struct DragData : INotifyPropertyChanged
    {
        private Point _currentPosition;
        public Point CurrentPosition
        {
            get
            {
                return _currentPosition;
            }
            set
            {
                _currentPosition = value;
                NotifyPropertyChanged("CurrentPosition");
            }
        }

        private Point _draggOffset;
        public Point DragOffset
        {
            get
            {
                return _draggOffset;
            }
            set
            {
                _draggOffset = value;
                NotifyPropertyChanged("DragOffset");
            }
        }
        public event PropertyChangedEventHandler PropertyChanged;
        private void NotifyPropertyChanged(String propertyName)
        {
            if (null != PropertyChanged)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }
    }
}
