using System;
using System.ComponentModel;
using System.Windows.Media;


namespace LocalJoost.Models
{
  /// <summary>
  /// A class describing a multitilesource an a description
  /// </summary>
  public class MapViewItemModel : INotifyPropertyChanged
  {
    private MultiScaleTileSource _tileSource;
    public MultiScaleTileSource TileSource
    {
      get
      {
        return _tileSource;
      }
      set
      {
        _tileSource = value;
        NotifyPropertyChanged("TileSource");
      }
    }

    private string _mapName;
    public string MapName
    {
      get
      {
        return _mapName;
      }
      set
      {
        _mapName = value;
        NotifyPropertyChanged("MapName");
      }
    }

    public event PropertyChangedEventHandler PropertyChanged;
    private void NotifyPropertyChanged(String propertyName)
    {
      if (null != PropertyChanged)
      {
        PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
      }
    }
  }
}