﻿using System;
using System.ComponentModel;

namespace LocalJoost.Models
{
    public struct ZoomActionDescription :INotifyPropertyChanged
    {
        private string _description;
        public string Description
        {
            get
            {
                return _description;
            }
            set
            {
                _description = value;
                NotifyPropertyChanged("Description");
            }
        }

        private double _zoomfactor;
        public double ZoomFactor
        {
            get
            {
                return _zoomfactor;
            }
            set
            {
                _zoomfactor = value;
                NotifyPropertyChanged("Zoomfactor");
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;
        private void NotifyPropertyChanged(String propertyName)
        {
            if (null != PropertyChanged)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }
    }
}

