﻿using System;
using System.ComponentModel;
using System.Windows.Input;

namespace LocalJoost.Models
{
    public struct ZoomEventPoint : INotifyPropertyChanged
    {
        private MouseEventArgs _event;
        public MouseEventArgs Event
        {
            get
            {
                return _event;
            }
            set
            {
                _event = value;
                NotifyPropertyChanged("Event");
            }
        }

        private double _zoomfactor;
        public double ZoomFactor
        {
            get
            {
                return _zoomfactor;
            }
            set
            {
                _zoomfactor = value;
                NotifyPropertyChanged("Zoomfactor");
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;
        private void NotifyPropertyChanged(String propertyName)
        {
            if (null != PropertyChanged)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }
    }
}
