﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Controls;
using System.Windows.Media;

namespace LocalJoost.TileSource
{
    public abstract class BaseTileSource : MultiScaleTileSource
    {
        /// <summary>
        /// Setting of tile size and max image size.
        /// </summary>
        protected BaseTileSource()
            : base(0x8000000, 0x8000000, 0x100, 0x100, 0)
        {
           
        }

        /// <summary>
        /// Format for map tile uri.
        /// </summary>
        public abstract string UriFormat { get; }

        /// <summary>
        /// Converts a tile level to a zoom level
        /// </summary>
        /// <param name="tileLevelDetail">The tile level (2^n = pixel width)</param>
        /// <returns>The zoom level</returns>
        public virtual int TileToZoom(int tileLevelDetail)
        {
            return tileLevelDetail - 8;
        }

    }
}