﻿using System;

namespace LocalJoost.TileSource
{
    public class OsmaRenderSource : BaseTileSource
    {
        private readonly Random _rand = new Random();
        private readonly string[] _tilePathPrefixes = new[] { "a", "b", "c", "d", "e", "f" };

        private string Server
        {
            get
            {
                return _tilePathPrefixes[_rand.Next(6)];

            }
        }

        public override string UriFormat
        {
            get { return "http://{0}.tah.openstreetmap.org/Tiles/tile/{1}/{2}/{3}.png"; }
        }

        protected override void GetTileLayers(int tileLevel, int tilePositionX, int tilePositionY,
            System.Collections.Generic.IList<object> tileImageLayerSources)
        {
            var zoom = TileToZoom(tileLevel);
            if (zoom > 0)
            {
                var url = string.Format(UriFormat, Server, zoom, tilePositionX, tilePositionY);
                var veUri = new Uri(url);
                System.Diagnostics.Debug.WriteLine("adding uri " + url);
                tileImageLayerSources.Add(veUri);
            }

        }

    }
}
